<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <title>OneSignat PUSH test</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">

    <script type="text/javascript" src="https://cdn.onesignal.com/sdks/OneSignalSDK.js" async></script>
    <script type="text/javascript">var OneSignal = OneSignal || []</script>

    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous" defer></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous" defer></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js" integrity="sha384-+YQ4JLhjyBLPDQt//I+STsc9iw4uQqACwlvpslubQzn4u2UU2UFM80nGisd026JF" crossorigin="anonymous" defer></script>
    <script type="text/javascript" src="utils.js" defer></script>
    <script type="text/javascript" src="oneSignal.js" defer></script>
    <script type="text/javascript" src="states.js" defer></script>
</head>

<body>
    <main class="container my-5">
        <div class="state row">
            <div class="col" id="loading">
                <div class="jumbotron p-5">
                    <div class="d-flex justify-content-center">
                        <div class="spinner-grow" role="status">
                            <span class="sr-only">Loading...</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="state row d-none" id="setup-form" data-init="initSetupForm">
            <div class="col">
                <div class="jumbotron">
                    <form action="#" method="POST">
                        <div class="form-group">
                            <label for="input-app-id">App-Id</label>
                            <input type="text" class="form-control" id="input-app-id" name="app-id" required>
                        </div>
                        <div class="form-group">
                            <label for="input-safari-web-id">Safari-Web-Id</label>
                            <input type="text" class="form-control" id="input-safari-web-id" name="safari-web-id" optional>
                        </div>
                        <button type="submit" class="btn btn-primary">Configure</button>
                    </form>
                </div>
            </div>
        </div>
        <div class="state row d-none" id="all-set" data-init="initAllSet">
            <div class="col">
                <div class="jumbotron">
                    <div class="contents"></div>
                    <div class="text-center">
                        <button class="btn btn-secondary" type="button" onclick="setState('#setup-form')">Change configuration</button>
                    </div>
                </div>
            </div>
        </div>
    </main>
</body>

</html>